Форум проекта PuppyRus Linux

Дистрибутивы проекта PuppyRus Linux => PuppyRus-A [PRA] => Тема начата: al от 03 Июль 2019, 09:53:36

Название: pacman-a pacman-arm pacman-ha : pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: al от 03 Июль 2019, 09:53:36
Решение (http://forum.puppyrus.org/index.php?topic=21839.msg159409#msg159409)

Здравствуйте, в PRA6408-01 решил создать модуль программы audacious, средствами системы через программирование-поиск софта и создание модуля. Софт нашёлся, модуль audacious.pfs создался, успешно подключился, никаких ошибок не было, но в меню не появился ярлык программы и соответственно её не запустить. Пробовал с другими программами, перенёс в папку modules, перезагружался - всё тоже самое.В inxi в Модули активированые во время загрузки и в Подключенные модули ,мой модуль есть. Что не так ? Как запустить программу ?
Название: Re: PRA6408. Проблемы с созданием audacious*.pfs
Отправлено: sfs от 03 Июль 2019, 10:23:27
Вероятно какие-то пакеты не скачались. Недавно  http://archive.archlinux.org почистили. Теперь некоторые пакеты приходится оттуда качать руками
Делайте в консоле  : pacman2pfs и внимательно читайте консоль при сборке
Название: Re: PRA6408. Проблемы с созданием audacious*.pfs
Отправлено: krasnyh от 03 Июль 2019, 10:26:37
Вероятно какие-то пакеты не скачались. Недавно  http://archive.archlinux.org почистили.
Так и есть. Пакеты не полностью скачиваются, но пустой audacious.pfs создается, вводя пользователей в заблуждение.
Скрин.


P.s. Думаю можно добавить audacious в наши репозитарии раз есть к нему интерес. Я его тоже использую, правда собирал давно в AUR (audacious-gtk3-3.10-1_64). Pro вроде говорил, что тоже пользуется.
Название: Re: PRA6408. Проблемы с созданием audacious*.pfs
Отправлено: sfs от 03 Июль 2019, 10:47:57
Думаю можно добавить audacious в наши репозитарии
да. Выкладывайте
Недавно  http://archive.archlinux.org почистили. Теперь некоторые пакеты приходится оттуда качать руками
Печально.... И года не прошло
Пакеты не полностью скачиваются, но пустой audacious.pfs создается
Тогда: скачать пакает в браузере и pacman2pfs -U audacious - и опять же
внимательно читайте консоль при сборке
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 10:57:43
Выкладывайте
Выложить не сложно, но у кого он будет работать кроме меня  :)
Все таки собирался давно на AUR и для GTK3 http://file.puppyrus.org/users/pra64/pfs-portable-test/
Название: Re: PRA6408. Проблемы с созданием audacious*.pfs
Отправлено: al от 03 Июль 2019, 11:04:45
Пакеты не полностью скачиваются
c этим : pulseaudio 12.2, pulseeffects, iagno, chess похоже тоже самое, печально.
Думаю можно добавить audacious в наши репозитарии раз есть к нему интерес
Был бы очень признателен.
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 03 Июль 2019, 11:09:45
собирался давно на AUR и для GTK3
скачать пакает в браузере и pacman2pfs -U audacious
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 11:12:02
Печально.... И года не прошло
Если я правильно понял здесь https://wiki.archlinux.org/index.php/Arch_Linux_Archive, то архивы переносятся потом в "специальную коллекцию" https://archive.org/details/archlinuxarchive. И уже оттуда их можно выкачать?
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 03 Июль 2019, 11:15:18
оттуда их можно выкачать?
https://archive.archlinux.org/packages/a/audacious/
Пакеты не вообще удалили и не все
Просто версия не совпадает и поэтому пакман не выкачивает
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 11:33:08
https://archive.archlinux.org/packages/a/audacious/
Что толку что он там лежит если pacman ищет исходя из url в /etc/pacman.d/mirrorlist Server=http://archive.archlinux.org/repos/2018/01/01/$repo/os/$arch (pra6408).
https://archive.archlinux.org/repos/2018/01/01/extra/os/x86_64/
Audacious там уже нет.

Здесь есть https://archive.archlinux.org/repos/2019/01/01/extra/os/x86_64/
Но и mirrorlist должен быть обновлен до Server=http://archive.archlinux.org/repos/2019/01/01/$repo/os/$arch
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 03 Июль 2019, 11:45:37
скачать пакает в браузере и pacman2pfs -U
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 12:02:27
скачать пакает в браузере и pacman2pfs -U
Не получится, ошибка на libguess. Я в виртуалке правил mirrorlist
Server=http://archive.archlinux.org/repos/2019/01/01/$repo/os/$arch
Потом:
1. pacman -Syy
2. sudo pacman2pfs audacious -- ошибки
2. sudo pacman2pfs -p  ###модуль audacios все равно на выходе не рабочий
3. опять поправил mirrorlist Server=http://archive.archlinux.org/repos/2018/01/01/$repo/os/$arch
4. pacman -Syy
 :)
Скрин.


Должно быть проще конечно. Обычно достаточно:
скачать пакает в браузере и pacman2pfs -U
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 12:51:19
Но в полученном модуле невозможно воспроизвести онлайн радио. Я вроде поэтому и собирал в AUR, да и версия тогда была поновее там.
Скрин.

Ссылка для проверки http://webcast.apexradio.ru:8000/90. Воспроизводится в моем модуле и не воспроизводится в модуле по инструкции выше.
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 13:17:13
Я в своем модуле вручную доустанавливал пакеты. У меня url ссылки в основном в .aac
Код
% pfspkg audacious-gtk3-3.10-1-1806-kr1.pfs 
audacious-gtk3
audacious-plugins-gtk3
faad2
flac
libogg
mpg123
neon

Вроде автору сборщику пакета задавали вопрос, почему из коробки толком ничего не работает и приходится доустанавливать пакеты. Это типа сделано, чтобы каждый пользователь мог иметь только то что ему нужно.
https://www.linux.org.ru/forum/desktop/9554269?cid=9555363
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 03 Июль 2019, 13:22:35
И здесь так же надо. В опциональных зависимостях все написано
audacious-gtk2-3.10.1-1801-sf01.pfs (ftp://ftp.yandex.ru/puppyrus/roll/180101/audacious-gtk2-3.10.1-1801-sf01.pfs)
www радио воспроизводит
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: al от 03 Июль 2019, 13:31:54
Все таки собирался давно на AUR и для GTK3 http://file.puppyrus.org/users/pra64/pfs-portable-test/
Отсюда - работает . Спасибо.
Как-то всё запутано с этим pacman.
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 03 Июль 2019, 13:33:57
Как-то всё запутано с этим pacman.
Дело не в пакмане, а в том что срез репы пра6408 частично потерли
Ставьте пра-ролл, обновляйте до текущего и с пакманом будет все ок
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 13:35:06
Как-то всё запутано с этим pacman.
Дело не в пакмане, а в том что срез репы пра6408 частично потерли
Или в том, что в PRA этот срез давно не обновляли.  :)
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 03 Июль 2019, 13:42:10
А смысл обновлять? Что не работает на этом срезе?
Кто просто хочет свежачка - пра-ролл . Если есть желание можете его обновить. Там (в отличие от пра64) просто - двигаем репу, пересобираем по спискам пакетов
audacious-3.10-1-gtk2-6408-kr1.pfs    - удалил. Ненужные иконки и нет нужных либ
audacious-3.10-1-gtk3 - надо портировать, раз там либы от 1806
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 13:46:58
audacious-3.10-1-gtk2-6408-kr1.pfs    - удалил.
Я про него забыл. :)
Положил в http://file.puppyrus.org/users/pra64/pfs-portable-test/ и только потом проверил на воспроизведение.

audacious-3.10-1-gtk3 - надо портировать, раз там либы от 1806
У меня Server=http://archive.archlinux.org/repos/2018/11/20/$repo/os/$arch и этот audacious-1806 работает без проблем.
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 15:49:01
И здесь так же надо. В опциональных зависимостях все написано
audacious-gtk2-3.10.1-1801-sf01.pfs
А каким способом был собран audacious-gtk2-3.10.1-1801-sf01.pfs? И из под какого PRA, DE.

Просто мне все эти кодеки в /usr/bin приходилось вручную доустанавливать, а потом склеивать модули
Код
live@prar-1811 ..ious-gtk2-3.10.1-1801-sf01.pfs/usr/bin % ls -l
итого 1789
-rwxr-xr-x 1 root root 149456 янв  2 04:38 audacious
-rwxr-xr-x 1 root root 141176 янв  2 04:38 audtool
-rwxr-xr-x 1 root root   3032 дек 25  2017 conplay
-rwxr-xr-x 1 root root  48448 окт  1  2017 faad
-rwxr-xr-x 1 root root 240296 янв 29  2017 flac
-rwxr-xr-x 1 root root 362376 окт 14  2017 lame
-rwxr-xr-x 1 root root 372429 ноя 26  2017 libtool
-rwxr-xr-x 1 root root 135657 ноя 26  2017 libtoolize
-rwxr-xr-x 1 root root 144208 янв 29  2017 metaflac
-rwxr-xr-x 1 root root 143976 дек 25  2017 mpg123
-rwxr-xr-x 1 root root  26840 дек 25  2017 mpg123-id3dump
-rwxr-xr-x 1 root root  14408 дек 25  2017 mpg123-strip
-rwxr-xr-x 1 root root   1882 фев 18  2017 neon-config
-rwxr-xr-x 1 root root  44776 дек 25  2017 out123

Скрин.
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 03 Июль 2019, 16:58:02
У меня Server=http://archive.archlinux.org/repos/2018/11/20/$repo/os/$arch и этот audacious-1806 работает без проблем.
Т.е. у Вас не пра6408 (на срезе 1801?)
либы не своего среза в /lib = зло, мина замедленного действия
каким способом был собран audacious-gtk2-3.10.1-1801-sf01.pfs? И из под какого PRA, DE.
пра6408 tint. Скачал пакеты audacious и собрал его зависимости pacman2pfs
В названии модуля же написано -1801
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 17:30:43
Т.е. у Вас не пра6408 (на срезе 1801?)
001-prar1811-kr1.pfs
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 03 Июль 2019, 17:53:33
Это какая-то собственная сборка?
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 18:09:19
Это какая-то собственная сборка?
И да и нет, база взята из prar-1811-gtk3-01.iso и слегка обновлена. Большинство модулей тоже или свои или обновлены стандартные. Этакий микс.
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 03 Июль 2019, 18:15:48
 :'( вы сейчвас основной помощник с юзерами, а у самого нестандартный дистр
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: krasnyh от 03 Июль 2019, 18:25:26
Нет, для ответов на форуме у меня распакован на разделе и обновлен pra6408. Я его запускаю в виртуалке. Так же и по rerto и ddr, puppy_disco и richy. :)
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: al от 10 Июль 2019, 10:04:52
Кто просто хочет свежачка - пра-ролл . Если есть желание можете его обновить. Там (в отличие от пра64) просто - двигаем репу, пересобираем по спискам пакетов
Это вообще не понял :(
Ставьте пра-ролл, обновляйте до текущего и с пакманом будет все ок
Поставил, обновил - всё тоже, не выкачивает. Да и не нравится этот ролл, всё медленно, тяжело и не фругал.

Получается если срез репы пра6408 частично потерли то всё, мёртвая система ? Т.к. не только с audacious, но с другими программами тоже не докачиваются пакеты. Уже ничего не установишь :(
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 10 Июль 2019, 10:23:43
Получается если срез репы пра6408 частично потерли то всё, мёртвая система ?
Нет. Но некоторые пакеты придется выкачивать руками - см. выше
Может быть поможет сдвиг даты репы вперед...
Надо накопить статистику. Что-то не получится собрать - пишите

Поставил, обновил - всё тоже, не выкачивает
Не может быть
не нравится этот ролл, всё медленно, тяжело
Как во всех больших линуксах
не фругал.
Ролл можно юзать в любом режиме, но он по любому не для походных вариантов и слабого железа
Название: pra6408 и pacman
Отправлено: yzyz от 15 Июль 2019, 20:52:08
Приветствую всех.
Так сказать пытаюсь вступить в ряды пользователей проекта)
Очень понравилась идея и работа pra6408 в варианте pfs модулей.

Давно искал что-то подобное.
Но есть нюансы которые не дают в полной мере пересесть на данный дистр.
Почему-то pacman не даёт устанавливать пакеты. Постоянно на всё ошибка 404.
Репозитории раскоментировал.

Пытался собирать пакеты скачивая с archlinux репозитория вручную и собирая их mkpfs.
C редактором nano вышло, а вот lxc и libvirt не даются (скачивал и собирал отдельно все зависимости модулями, а далее уже объединял в один).

live@pra6408:~$ lxc-checkconfig
Kernel configuration not found at /proc/config.gz; searching...
lxc-checkconfig: unable to retrieve kernel configuration

Try recompiling with IKCONFIG_PROC, installing the kernel headers,
or specifying the kernel configuration path with:

Хочется или наладить работу pacman (в идеале чтоб собирал pfs модули нужных программ).
Либо разобраться со сборкой нужных пакетов. Может у кого уже есть pfs lxc и libvirt?
А так впечатления только положительные, с 12 гб ram и i5 всё вертится очень шустро.
Название: Re: pra6408 и pacman
Отправлено: krasnyh от 15 Июль 2019, 22:22:21
Давно искал что-то подобное.
Но есть нюансы которые не дают в полной мере пересесть на данный дистр.
Почему-то pacman не даёт устанавливать пакеты. Постоянно на всё ошибка 404.
Репозитории раскоментировал
Да, уже обратили внимание на это в PRA6408 Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты) (http://forum.puppyrus.org/index.php?topic=21839.0) 

И пока ни к чему не пришли:
Цитата: al от 10 Июль 2019, 10:04:52

    Получается если срез репы пра6408 частично потерли то всё, мёртвая система ?

Нет. Но некоторые пакеты придется выкачивать руками - см. выше
Может быть поможет сдвиг даты репы вперед...
Надо накопить статистику. Что-то не получится собрать - пишите


Как я вижу ситуацию, это пересобирать базу (001-prar-c-180101) на свежий срез, понятно что не руками пользователей.
Как видит ситуацию sfs - скачивать пакеты вручную https://www.archlinux.org/packages/ или переходить на pra-roll http://forum.puppyrus.org/index.php?topic=19901.msg152496#msg152496

По поводу pra-roll я не советчик, т.к. не в теме.
Название: Re: pra6408 и pacman
Отправлено: knn от 16 Июль 2019, 06:08:36
скачивать пакеты вручную
с xsel только так и удалось
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает пакеты)
Отправлено: sfs от 16 Июль 2019, 10:11:39
скачивать пакеты вручную https://www.archlinux.org/packages/
Пока самый простой путь :
1. pacman2pfs пакет
2. Если есть сообщения "error 404" - выкачиваем не найденные пакеты браузером из https://www.archlinux.org/packages/  (попробую написать скрипт) в  /var/cache/pacman/pkg/
3. pacman2pfs -p пакет
Не самый сложный рецепт. Трагедии не наблюдаю. Тем более готовых модулей полно на все случаи жизни

Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: yzyz от 16 Июль 2019, 10:16:03
Как я вижу ситуацию, это пересобирать базу (001-prar-c-180101) на свежий срез, понятно что не руками пользователей.
Как видит ситуацию sfs - скачивать пакеты вручную https://www.archlinux.org/packages/ или переходить на pra-roll http://forum.puppyrus.org/index.php?topic=19901.msg152496#msg152496

По поводу pra-roll я не советчик, т.к. не в теме.

Ну выкачивать вручную честно говоря то ещё удовольствие, ибо зависимостей толпа.

И ещё один вопрос появился, а ядро pf с какими модулями собрано?
Чем пожертвовали в угоду скорости работы? 
Или оно стандартное?
Если нет то какие нюансы сборки под PRA нужно учесть?
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 16 Июль 2019, 10:17:41
Пытался собирать пакеты скачивая с archlinux репозитория вручную и собирая их mkpfs.
C редактором nano вышло, а вот lxc и libvirt не даются (скачивал и собирал отдельно все зависимости модулями, а далее уже объединял в один).
Это не самые простые проги. Для чего используете? Чем не устроил virtualbox ?
lxc - через него можно Xorg проги внитри контейнера запускать?
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 16 Июль 2019, 10:26:21
выкачивать вручную честно говоря то ещё удовольствие
попробую написать скрипт
Можно попробовать собрать в 1811 а потом перенести в 1801. glibc для подобного в 1801 обновляю до свежего. Ну или в обновленном pra-roll точно все должно получиться без проблем

Про ядро ответил здесь (http://forum.puppyrus.org/index.php?topic=14803.msg159275#msg159275). 1 вопрос = 1 тема
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 17 Июль 2019, 18:09:34
Посмотрел внимательнее. Архивы старее 0101 2019 удалены из https://archive.archlinux.org/ в Historical Archive (https://wiki.archlinux.org/index.php/Arch_Linux_Archive#Historical_Archive)
pacman -Sy тоже сломано... (http://forum.puppyrus.org/index.php?topic=21839.msg159577#msg159577)
Хранятся только за текущий год. pacman-ом их не достать

Написал pacman-a (в аттаче). Он  достает . Поддерживаются только ключи -S[wdd]. Другие и не нужны. Надо только выкачать в /var/cache/pacman/pkg. Остальное сделает pacman
+ заменяем  pacman2pfs из аттача ( в 125 строке pacman <-> pacman-a : из репы <-> из Historical_Archive)
и проблема решена

Подробности (http://wiki.puppyrus.org/puppyrus/pfs?&#pacman-a%D0%B4%D0%BE%D1%81%D1%82%D0%B0%D1%82%D1%8C_%D0%BF%D0%B0%D0%BA%D0%B5%D1%82_%D0%B8%D0%B7_historical_archive)

Может там и других дистров пакеты есть... Тогда можно любой дистр заморозить
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 17 Июль 2019, 18:45:37
Соответственно - меняем в pacman2pfs в 125 строке pacman на pacman-a и проблема решена
Проверил в pra6408.
Скрин.


upd. Добавил скрин команды sudo pacman-a -Sw audacious
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 10:33:39
Поправил (http://forum.puppyrus.org/index.php?topic=21839.msg159409#msg159409)
По итогу pacman во всех PRA получается не рабочий. Как донести до юзера инфу из этой темы...

Можно положить заглушку в /usr/local/bin/pacman , в которой распарсить ключи и на S[wdd] подставить pacman-a

Костыльно. Лучше , но сложней через hook (https://www.archlinux.org/pacman/alpm-hooks.5.html)
https://aur.archlinux.org/cgit/aur.git/tree/pkgfile.hook?h=pacman-pkgfile-hook
Название: Re: PRA6408. Проблемы с созданием модулей pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 11:39:54
Поправил
* pacman-a.gz (0.53 КБ - загружено 1 раз.)
* pacman2pfs.gz (1.76 КБ - загружено 1 раз.)
Это вообще-то проверялось на работоспособность? Или там реализовано в виде идеи, без практического тестирования?
Скрин из-под PRA6408.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 13:24:06
Покажите sh -vx pacman-a -Sw audacious
Прикрепил.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 13:37:51
Понятно. Похоже pacman -Sy тоже сломано...
Код
pacman -Sw --print-format "%n" audacious
  не работает (http://forum.puppyrus.org/index.php?topic=21839.msg159577#msg159577). Поэтому и мой скрипт - тоже
Код
pacman -Ss --print-format "%n" audacious
   работает
Подключите pkg*.pfs. Только ДО pacman -Sy или распакуйте его в корень - чтоб наверняка
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 14:04:07
Понятно. Похоже pacman -Sy тоже сломано...
Мне показалось что-то с доступом к нашим репозитариям у меня. Причем в браузере захожу, пинг тоже есть.
Код
live@prar-1811 ~ % ping mirror.yandex.ru
PING mirror.yandex.ru (213.180.204.183) 56(84) bytes of data.
64 bytes from mirror.yandex.ru (213.180.204.183): icmp_seq=1 ttl=57 time=10.4 ms
64 bytes from mirror.yandex.ru (213.180.204.183): icmp_seq=2 ttl=57 time=9.78 ms
64 bytes from mirror.yandex.ru (213.180.204.183): icmp_seq=3 ttl=57 time=8.96 ms
64 bytes from mirror.yandex.ru (213.180.204.183): icmp_seq=4 ttl=57 time=9.55 ms
64 bytes from mirror.yandex.ru (213.180.204.183): icmp_seq=5 ttl=57 time=9.72 ms
64 bytes from mirror.yandex.ru (213.180.204.183): icmp_seq=6 ttl=57 time=9.33 ms

--- mirror.yandex.ru ping statistics ---
6 packets transmitted, 6 received, 0% packet loss, time 13ms
rtt min/avg/max/mdev = 8.961/9.619/10.378/0.449 ms

Но ни скачать ничего не могу через sfs-get, ни обновить наши базы (pra6407extra; 2a-any  и т.д.) через pacman -Syy. Только сегодня такое.
Так что с тестированием сегодня я пас.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 14:23:14
У меня тоже проблемы с яндексом. вчера тоже
Для этих экспериментов яндекс не нужен
http://file.puppyrus.org/users/roll/pkg-prar-180101-sf02.pfs выложил временно на наш
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 14:27:35
pkg-prar-180101-sf02.pfs
Да, я уже скачал его и проверил, все работает.
Прикрепил лог.


p.s. Получил рабочий модуль audacious.pfs. Единственно audacious плохой пример для теста, т.к. для полноценной работы там надо вручную доустанавливать разные кодеки. Такой вот 'хитрый' пакет.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 14:37:11
audacious плохой пример для теста, т.к. для полноценной работы там надо вручную доустанавливать разные кодеки
Это уже другая история
Исходная проблема решена

Вот  только как донести эту инфу до юзеров...
Чтобы работало без pkg*.pfs сделать можно : парсить зависимости pacman -Si - нет смысла усложнять
pacman2pfs переделать на pacman-a и вместо pacman -Sy -> sfs-get pkg ?
Есть другие идеи?
А кто по привычке полезет pacman-ом в консоль ....
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 15:00:42
вместо pacman -Sy -> sfs-get pkg ?
Так как репа все равно заморожена, то можно добавить в базу из pkg-prar-180101-sf02 все эти *.db (вроде так раньше и было), тем более там и весу то всего ничего. Тогда и pacman -Sy не нужен будет:
Код
live@prar-1811 ..ar-180101-sf02.pfs/var/lib/pacman/sync % ls -l
итого 7121
-rw-r--r-- 1 root root   21020 мар 30  2018 2a-any.db
-rw-r--r-- 1 root root  790631 мар 30  2018 archlinuxcn.db
-rw-r--r-- 1 root root   10300 янв  5  2018 art-aur.db
-rw-r--r-- 1 root root 4463532 дек 31  2017 community.db
-rw-r--r-- 1 root root  129189 дек 31  2017 core.db
-rw-r--r-- 1 root root 1682608 янв  1  2018 extra.db
-rw-r--r-- 1 root root   66409 мар 29  2018 herecura.db
-rw-r--r-- 1 root root   87852 мар 30  2018 pra6407extra.db
-rw-r--r-- 1 root root   37771 мар 30  2018 revenge_repo.db

 А в pkg-prar-180101-sf02 останутся только *.files как самые тяжелые:
Код
live@prar-1811 ..prar-180101-sf02.pfs/var/cache/pkgfile % ls -l
итого 336484
-rw-r--r-- 1 root root   1601400 мар 30  2018 2a-any.files
-rw-r--r-- 1 root root  65817040 мар 30  2018 archlinuxcn.files
-rw-r--r-- 1 root root  24835380 мар 30  2018 art-aur.files
-rw-r--r-- 1 root root 171167840 янв  1  2018 community.files
-rw-r--r-- 1 root root   5839700 янв  1  2018 core.files
-rw-r--r-- 1 root root  64015012 янв  1  2018 extra.files
-rw-r--r-- 1 root root   5492592 мар 30  2018 herecura.files
-rw-r--r-- 1 root root   5789180 янв  1  2018 pra6407extra.files
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 15:10:43
добавить в базу из pkg-prar-180101-sf02 все эти *.db
Это 7мб сквоша, который нужен не всем
Может тогда наоборот выделить pacman в отдельный модуль и объединить с pkg
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 15:20:48
Это 7мб сквоша, который нужен не всем
Это чистый вес. ) Что распакованный, что сжатый в модуль, все те же 7-8 mb.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 15:33:27
Для базы это много
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 15:51:47
Может тогда наоборот выделить pacman в отдельный модуль и объединить с pkg
Вот возьмем pkg-prar-180101-sf02.pfs. Его вес 28mb, нам из него чаще понадобится *.db (7mb). А *.file только изредка, когда искать недостающие  либы (pkgfile -s либа).  Причем вес всех *.file в распакованном виде - 328mb.


Для базы это много
На мой взгляд лучший вариант --> поместить /var/lib/pacman/sync/* в базу (имхо).
Пользователь не заметит разницы в 7mb.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 16:30:09
.file только изредка
А pacman-ом прямо все каждый день
Причем если про эту тему не знать - сделал pacman -Sy и все
Т.е. по любому не решение
Может совсем просто : в /usr/local/bin/pacman :
ntf -q "ссылка сюда или в вики это написать Больше не показывать это сообщение"  и дальше обычный пакман
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 16:37:34
 А может с нашими репами все наладится со временем? Или есть идеи в чем там дело с зеркалами яндекса?
Там какая-то задержка идет:
Код
live@prar-1811 ~ % sudo pacman -Syy
:: Обновление баз данных пакетов...
 core                         133,2 KiB   812K/s 00:00 [############################] 100%
 extra                       1681,6 KiB  1290K/s 00:01 [############################] 100%
 community                      4,7 MiB  1311K/s 00:04 [############################] 100%
ошибка: не удалось получить файл 'pra6407extra.db' из ftp.yandex.ru : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds
ошибка: не удалось обновить pra6407extra (ошибка в библиотеке загрузки)
 2a-any                        30,3 KiB   505K/s 00:00 [############################] 100%
ошибка: не удалось получить файл 'art-aur.db' из ftp.yandex.ru : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds
ошибка: не удалось обновить art-aur (ошибка в библиотеке загрузки)
 revenge_repo                  38,9 KiB   695K/s 00:00 [############################] 100%
 herecura                      58,7 KiB   587K/s 00:00 [############################] 100%
 archlinuxcn                 1204,4 KiB  1248K/s 00:01 [############################] 100%
ошибка: failed to synchronize all databases
1 live@prar-1811 ~ %         
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 16:39:26
А может с нашими репами все наладится со временем?
Если нет - перенесем. Из идей - только узнать у админов яндекса
Это здесь при чем?
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 16:40:35
Это здесь при чем?
Чтоб ничего не менять, наверно. Как обычно обновление баз pacman -Sy, потом pacman2pfs пакет.

Я просто смотрю пошли непонятные сложности в решении простой проблемы. )
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 16:45:40
Архивы старее 0101 2019 удалены из archive в Historical Archive
pacman -Sy тоже сломано...
Вот проблема и она решена
Яндекс - другая проблема. надеюсь - пройдет
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 16:52:20
pacman -Sy тоже сломано...
Может я чего то не понимаю :), но мне показалось, что все нормально pacman -Sy. Если посмотреть мой лог выше, то видно что прекрасно скачиваются все базы, кроме наших с яндекса.

И эта проблема временная.
Яндекс - .... надеюсь - пройдет
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 16:54:21
pacman -Sy тоже сломано...
Или имеется в виду - сломано потому что базы теперь не полные после чисток? Тогда да.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 16:55:21
pacman -Sy тоже сломано...
pacman -Sw --print-format "%n" audacious  не работает. Поэтому и мой скрипт - тоже
pacman -Ss --print-format "%n" audacious   работает
Sw не работает после pacman -Sy
Чтобы работало без pkg*.pfs сделать можно : парсить зависимости pacman -Si - нет смысла усложнять
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 17:01:42
Чтобы работало без pkg*.pfs сделать можно : парсить зависимости pacman -Si - нет смысла усложнять
Вроде простое решение, можно попробовать.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 17:17:32
А смысл, если есть pkg.pfs ?
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 17:37:17
Скажу так. Какое бы ни было принято решение, я категорически против переноса pacman в отдельный модуль (слияние с pkg-prar-180101-sf02). Не понимаю такое решение в ddr (apt-get) и не хочу такого 'счастья' в pra.

И не хочу и не буду объяснять зачем мне pacman. :)
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 18 Июль 2019, 17:42:28
Положить в /modules - проблема?
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 18 Июль 2019, 17:59:49
Весь спор из-за 7mb *.db?

 Давно уже решили, что современные браузеры достаточно ресурсоемкие (озу) и поэтому так биться за размер сборки бесмысленно. Должна быть конечно золотая середина, но без фанатизма. :)


upd. Если pacman будет в отдельном модуле, он же не войдет в состав iso?
И в результате получится как с firmware-light, пользователи не могут поднять сеть (wifi) из коробки и разочаровываются в pra (как недавно писали в темах).

Так будет и с pacman - скачал iso, попробовал доустановить какое-то свое любимое приложение и ни фига.:) Не захочет разбираться что там не так, читать форум и вики, возьмет попробовать другой фругал, Puppy Linux например.
Зато у нас самый маленький размер сборки. :)
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: k0l0p0k от 19 Июль 2019, 00:38:35
Давно уже решили, что современные браузеры достаточно ресурсоемкие (озу) и поэтому так биться за размер сборки бесмысленно. Должна быть конечно золотая середина, но без фанатизма.
поддержу
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 19 Июль 2019, 09:09:05
Весь спор из-за 7mb *.db?
Вся база 77 мб
современные браузеры достаточно ресурсоемкие (озу) и поэтому так биться за размер сборки бесмысленно
Это в основном касается "неудобных" DE. В данном случае - ничего не теряем. Все тот же принцип модульности. Почему тогда и браузер не добавить в базу? Кому захочется - объединить прооще чем разъединить
Если pacman будет в отдельном модуле, он же не войдет в состав iso?
Войдет. Для исо размер не большой
поддержу
А как же голосование в этой (http://forum.puppyrus.org/index.php?topic=21636.0) теме  :-\

Пока не решил. Подумаю еще
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: k0l0p0k от 19 Июль 2019, 09:37:10
А как же голосование в этой теме
я не про отделение инструментов сборки в отдельный модуль
про "золотую середину" при "борьбе" за минимализм
а так сам за минимум "излишеств", лишь бы удобно было и работало без глюков
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 19 Июль 2019, 14:36:38
Перезалил (http://forum.puppyrus.org/index.php?topic=21839.msg159409#msg159409) pacman-a
Теперь в Hist Archive лезет, только если пакет из арч реп (а не пра и пр. сторонних)
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 19 Июль 2019, 15:14:01
Перезалил pacman-a
Сегодня и яндекс починился.
Приложил логи.


p.s. А не осталось вчерашней версии pacman-a, а то я при скачивании сегодня перезаписал ее. Хочу из спортивного интереса проверить это утверждение (заблуждение  :)) сегодня с рабочим яндексом:
pacman -Sy тоже сломано...
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 19 Июль 2019, 15:33:08
А не осталось вчерашней версии pacman-a
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 19 Июль 2019, 16:05:08
pacman-a7.gz
Проверил в pra6408, даже три раза, с полным выключением вирт. машины. Pacman-a7 работает, модуль audacious.pfs создается.

Можно сделать первые выводы.
Если pacman -Sy отрабатывает без ошибок, то и с pacman-a нет проблем. Т.е. заработали нормально яндекс.зеркала и проблемы ушли.
В итоге рабочие - сегодняшний pacman-a и вчерашний.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 19 Июль 2019, 16:10:14
Т.е. такое работает?
Код
pacman -Syу && pacman-a htop
pkg*.pfs не нужен?
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 19 Июль 2019, 16:25:51
pkg*.pfs не нужен?
Не нужен. Запускал сегодняшний pacman-a и вчерашний, выполнив сначала pacman -Syy.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 20 Июль 2019, 08:36:40
Не нужен
Проверил (http://forum.puppyrus.org/index.php?topic=21839.msg159460#msg159460). Да. Можно c pkg*.pfs и pacman -Sy - без разницы. Спасибо+
Тогда добавляю в апдейты pacman2pfs (c pacman-a). И проблема решена
Можно еще в /usr/local/bin/pacman :
Вывести сообщение "ссылка сюда или в вики это написать" + "Больше не показывать это сообщение"  и тогда заменяет этот скрипт ссылкой на  обычный пакман
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 20 Июль 2019, 14:25:20
У нас есть проблемы со скоростью скачивания пакетов через pacman? Или может это актуально при сборке разных версий PRA, когда надо выкачивать большие объемы пакетов? А то нашел такую инфу:
Powerpill - это оболочка pacman, которая использует параллельную и сегментированную загрузку, чтобы ускорить загрузку пакетов.
Быстрая загрузка пакетов, при помощи Powerpill (https://archlinux.org.ru/forum/topic/15195/)
https://wiki.archlinux.org/index.php/Powerpill

Цитата
https://wiki.archlinux.org/index.php/Pacman/Tips_and_tricks#Download_speeds
Также можно в /etc/pacman.conf, раскоментировав XferCommand, скачивать пакманом через aria2.

aria2 - это легкая утилита загрузки с поддержкой возобновляемых и сегментированных загрузок HTTP / HTTPS и FTP. aria2 допускает несколько одновременных подключений HTTP / HTTPS и FTP к зеркалу Arch, что должно привести к увеличению скорости загрузки как для получения файлов, так и для получения пакетов. (c)


upd. Отсылка к pacman2pfs в названии пакета pacman2aria2. )
https://aur.archlinux.org/packages/?O=0&SeB=nd&K=Powerpill&outdated=&SB=n&SO=a&PP=50&do_Search=Go
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 21 Июль 2019, 08:00:23
У нас есть проблемы со скоростью скачивания пакетов через pacman?
Не замечал
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 22 Июль 2019, 11:59:14
Написал pacman-arm и добавил в вики (http://forum.puppyrus.org/index.php?topic=21839.msg159409#msg159409)
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 24 Июль 2019, 13:01:31
Перезалил (http://forum.puppyrus.org/index.php?topic=21839.msg159409#msg159409). поправил ошибки
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 25 Июль 2019, 10:28:20
Что-то в пра03 у меня все,без pacman-a , на редкость хорошо отработало
Перепроверил в ПРА6408 - без улучшений и яндекс опять тормозит
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 25 Июль 2019, 13:17:26
089-prar-upd-180101-sf62.pfs (ftp://ftp.yandex.ru/puppyrus/roll/180101/089-prar-upd-180101-sf62.pfs)
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 25 Июль 2019, 13:29:30
Что-то в пра03 у меня все,без pacman-a , на редкость хорошо отработало
089-prar-upd-180101-sf62.pfs
Для Retro тоже надо.

Пытаюсь ч/з "Поиск софта и создание модуля  -  rox" - не делается
В пра03 такoе последнее время часто.
rox-2.11 есть в списках (community.files). Но нет в самом репозитарии!? Похоже там поудаляли все.
http://forum.puppyrus.org/index.php?topic=21270.msg151412#msg151412
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 25 Июль 2019, 13:35:55
Принцип работы pacman-a какой? Сначала ищет в репах из pacman.conf (extra, core и т.д.), и если там нет нужных пакетов, то только тогда лезет в archive.org?

Если так, от присутствия pacman-a во всех PRA хуже не будет.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 25 Июль 2019, 14:49:23
Принцип работы pacman-a какой? Сначала ищет в репах из pacman.conf (extra, core и т.д.), и если там нет нужных пакетов, то только тогда лезет в archive.org?
Нет. Так тоже можно сделать, но скрипт будет сложнее и выиграть можно будет только в скорости скачивания. Historical Archive помедленнее ARM
Принцип работы:
1. определяет список названий пакетов с из версиями, со всеми зависимостями
2. wget -ом скачивает их по имени из Historical Archive
от присутствия pacman-a во всех PRA хуже не будет.
Да. Но может быть сделать pacman2pfs и pacman2pfs-a ...
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 25 Июль 2019, 15:11:13
lib32-wine-1801-sf01.pfs (ftp://ftp.yandex.ru/puppyrus/roll/180101/lib32-wine-1801-sf01.pfs)
забыл обновить pacman2pfs
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 25 Июль 2019, 15:27:21
Да. Но может быть сделать pacman2pfs и pacman2pfs-a ...
Не хотелось бы усложнения. Разные тонкости могут знать только ценители арча, для остальных должно быть все просто - запустил из меню pacman2pfs.sh, получил желаемый модуль.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 04 Август 2019, 11:24:27
Костыльно. Лучше , но сложней через hook
Пример
https://aur.archlinux.org/cgit/aur.git/tree/pkgfile.hook?h=pacman-pkgfile-hook
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: krasnyh от 04 Август 2019, 22:47:11
По поводу pacman-a.

Пакеты хранятся только в течение нескольких лет, после чего они перемещаются в Исторический архив Arch Linux на archive.org (https://wiki.archlinux.org/index.php/Arch_Linux_Archive)
Но так получилось, что не только с retro начались проблемы, но уже и с PRA6408. Похоже не расчитан archive.archlinux.org на такое длительное использование.

Так что, если продолжать 'морозить' репу, то официально для всех PRA переходить на pacman-a по умолчанию. Может только со скоростью скачивания как-нибудь 'похимичить'.
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: al от 06 Август 2019, 14:38:30
Уже можно обсуждение как-то под итожить ?  Будет в ПРА - запустил из меню pacman2pfs.sh или pacman2pfs-a или ещё что-нибудь , получил желаемый модуль ?
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 07 Август 2019, 09:31:38
Будет в ПРА - запустил из меню pacman2pfs.sh или pacman2pfs-a или ещё что-нибудь , получил желаемый модуль ?
089-prar-upd-180101-sf65.pfs (ftp://ftp.yandex.ru/puppyrus/roll/180101/089-prar-upd-180101-sf65.pfs)
pacman2pfs.sh pacman2pfs pacman-a
Название: Re: pacman-a. Проблемы с pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: al от 07 Август 2019, 09:59:28
089-prar-upd-180101-sf65.pfs
pacman2pfs.sh pacman2pfs pacman-a
спасибо, попробую
Название: Re: pacman-a pacman-arm pacman-ha : pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 09 Август 2019, 11:45:09
Написал pacman-hа (http://forum.puppyrus.org/index.php?topic=21839.msg159409#msg159409) и добавил в вики (http://wiki.puppyrus.org/puppyrus/pfs?&#pacman-arm_pacman-ha%D0%B4%D0%BE%D1%81%D1%82%D0%B0%D1%82%D1%8C_%D0%BF%D0%B0%D0%BA%D0%B5%D1%82_%D0%BD%D1%83%D0%B6%D0%BD%D0%BE%D0%B9_%D0%B2%D0%B5%D1%80%D1%81%D0%B8%D0%B8_%D0%B8%D0%B7_arm_%D0%B8_historical_archive)

Название: Re: pacman-a pacman-arm pacman-ha : pacman2pfs (не выкачивает *pkg: error 404)
Отправлено: sfs от 30 Сентябрь 2019, 18:12:59
Похоже ARM починили. Можно вернуть pacman-arm -> pacman в pacman2pfs
Наверное, пакеты качаются из того же  HA. Скорость такая же маленькая